package cn.iocoder.yudao.module.member.service.customizeExcel;

import cn.iocoder.yudao.module.member.controller.admin.customizeExcel.vo.*;

import java.util.List;


public interface CustomizeExcelService {


    List<OrderExcelVO> exportOrderExcel(String startTime,String endTime,Long carteenId);

    List<StoreOrderExcelVO> exportStoreOrderExcel(String startTime, String endTime, Long carteenId);

    List<StoreSaleGoodsVO> exportStoreSaleGoodsExcel(String startTime, String endTime, Long carteenId);

    List<GroupOrderVO> exportGroupOrderExcel(String startTime, String endTime, Long carteenId, Long groupId);

    List<GroupStoreOrderVO> exportGroupStoreOrderExcel(String startTime, String endTime, Long carteenId, Long groupId);

    List<SubsidyExcelVO> exportSubsidyExcel(String startTime,String endTime,Long carteenId);

    List<CashAmountExcelVO> exportCashAmountExcel(String startTime,String endTime,Long carteenId);

    List<ActivityMxVO> exportActivityMx();

    List<ActivityReserveVO> exportActivityReserve();

    List<OverspendingVO> exportOverspending(String startTime, String endTime, Long groupId);
}
